Debian Bug report logs - #198257
[UTF-8] Aptitude does not handle UTF-8 locale nicely

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Sebastian Kapfer <sebastian_kapfer@web.de>

Date: Sat, 21 Jun 2003 00:48:02 UTC

Severity: wishlist

Tags: fixed-in-experimental, l10n

Merged with 226271, 242676, 264635, 271636, 273184, 278801, 292364, 307583, 336355

Found in versions 0.2.13-1, 0.2.13-2, 0.2.14.1-2, 0.2.15.2-1, 0.2.15.6-1, 0.2.15.7-1, 0.2.15.8-1, 0.2.15.9-2, aptitude/0.2.15.9-7

Fixed in versions aptitude/0.4.0-1, 0.4.4-1

Done: Christian Perrier <bubulle@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#198257; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Kapfer <sebastian_kapfer@web.de>:
New Bug report received and forwarded. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Kapfer <sebastian_kapfer@web.de>
To: submit@bugs.debian.org
Subject: aptitude: UTF-8 compatibility
Date: Sat, 21 Jun 2003 02:46:32 +0200
[Message part 1 (text/plain, inline)]
Package: aptitude
Version: 0.2.13-1

Aptitude currently doesn't get along well with UTF-8 locales. The menus
are drawn wrong when multibyte characters are involved. All probably
issues of std::string::size being used where the column width would be
the Right Thing.

Is there anything in development relating to this problem or should I
try to hack a little patch together?


Two demo images:

http://tuxsux.dyndns.org/caci/apti-utf8.png
http://tuxsux.dyndns.org/caci/apti-utf8-2.png

-- 
Best Regards,   |   Hi! I'm a .signature virus. Copy me into
 Sebastian      |   your ~/.signature to help me spread!
[Message part 2 (application/pgp-signature, inline)]

Severity set to `wishlist'. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 198257 226271 242676 264635. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 198257 226271 242676 264635 271636. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 198257 226271 242676 264635 271636 273184. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Message sent on to Sebastian Kapfer <sebastian_kapfer@web.de>:
Bug#198257. Full text and rfc822 format available.

Message #18 received at 198257-submitter@bugs.debian.org (full text, mbox):

From: "Konstantinos Margaritis" <markos@debian.gr>
To: Daniel Burrows <dburrows@debian.org>, 198257-submitter@bugs.debian.org, 226271-submitter@bugs.debian.org, 242676-submitter@bugs.debian.org, 264635-submitter@bugs.debian.org, 271636-submitter@bugs.debian.org, 273184-submitter@bugs.debian.org
Cc: Konstantinos Margaritis <markos@debian.org>
Subject: UTF-8 breakage
Date: 25 Sep 2004 16:22:05 -0000
[Message part 1 (text/plain, inline)]
Hi,  
  I know that aptitude will not be utf-8 enabled before the sarge  
release, but I believe it is absolutely necessary to be operating  
correctly for *all* locales. Right now, it produces horribly broken  
displays for UTF-8 locales (I've seen the other bug reports and I can  
add my own experience on el_GR.UTF-8). So, IMHO, it is best to have  
an english aptitude that works, rather than a localized one that  
doesn't work and I attach this patch that forces the locale to "C",  
when UTF-8 is found in LC_ALL. It seems to work fine for me, and I  
imagine it will work on other locales as well. 
  FWIW, Joey Hess seems to aggree that it's best to have an aptitude  
that works for sarge. 
 
Regards 
 
Konstantinos 
[aptitude-utf-8.patch (text/x-diff, inline)]
--- main.cc.orig	2004-07-07 06:03:48.000000000 +0300
+++ main.cc	2004-09-25 18:22:53.000000000 +0300
@@ -182,6 +182,9 @@
   //      rocker.
   argv0=argv[0];
 
+  // This will be used to hold current locale.
+  char *locale;
+
   // Read the arguments:
   while((curopt=getopt_long(argc, argv, "DVZvhS:uiF:w:sO:fdyPt:Rro:", opts, NULL))!=-1)
     {
@@ -272,6 +275,13 @@
 	      exit(0);
 	    case OPTION_VISUAL_PREVIEW:
 	      visual_preview=true;
+	      locale = setlocale(LC_ALL, NULL);    
+	      
+              if (strstr(locale, "UTF-8")) {
+	      	      setlocale(LC_ALL, "C");
+		      locale = setlocale(LC_ALL, NULL);
+              }
+	      
 	      break;
 	    default:
 	      fprintf(stderr, "%s",
@@ -378,6 +388,15 @@
       exit(1);
     }
 
+  // Apart from visual preview we also have to take care of the normal
+  // ui mess with UTF-8, and fallback to "C" locale
+  locale = setlocale(LC_ALL, NULL);    
+	      	      
+  if (strstr(locale, "UTF-8")) {
+    setlocale(LC_ALL, "C");
+    locale = setlocale(LC_ALL, NULL);
+  }			    	
+  
   ui_init();
 
   vs_progress *p=gen_progress_bar();

Message sent on to Sebastian Kapfer <sebastian_kapfer@web.de>:
Bug#198257. Full text and rfc822 format available.

Message #21 received at 198257-submitter@bugs.debian.org (full text, mbox):

From: Konstantinos Margaritis <markos@debian.org>
To: Daniel Burrows <dburrows@debian.org>
Cc: 198257-submitter@bugs.debian.org, 226271-submitter@bugs.debian.org, 242676-submitter@bugs.debian.org, 264635-submitter@bugs.debian.org, 271636-submitter@bugs.debian.org, 273184-submitter@bugs.debian.org
Subject: Re: UTF-8 breakage
Date: Sun, 26 Sep 2004 12:49:09 +0300
I would like to stress the importance of this fix in view of the 
imminent sarge release.
Please, use the supplied patch, as it really cripples the installation 
right now.

Regards

Konstantinos

On Σαβ 25 Σεπ 2004 19:22, Konstantinos Margaritis wrote:
> Hi,
>   I know that aptitude will not be utf-8 enabled before the sarge
> release, but I believe it is absolutely necessary to be operating
> correctly for *all* locales. Right now, it produces horribly broken
> displays for UTF-8 locales (I've seen the other bug reports and I
> can add my own experience on el_GR.UTF-8). So, IMHO, it is best to
> have an english aptitude that works, rather than a localized one
> that doesn't work and I attach this patch that forces the locale to
> "C", when UTF-8 is found in LC_ALL. It seems to work fine for me,
> and I imagine it will work on other locales as well.
>   FWIW, Joey Hess seems to aggree that it's best to have an
> aptitude that works for sarge.
>
> Regards
>
> Konstantinos



Message sent on to Sebastian Kapfer <sebastian_kapfer@web.de>:
Bug#198257. Full text and rfc822 format available.

Message #24 received at 198257-submitter@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Konstantinos Margaritis <markos@debian.org>
Cc: 198257-submitter@bugs.debian.org, 226271-submitter@bugs.debian.org, 242676-submitter@bugs.debian.org, 264635-submitter@bugs.debian.org, 271636-submitter@bugs.debian.org, 273184-submitter@bugs.debian.org
Subject: Re: UTF-8 breakage
Date: Sun, 26 Sep 2004 10:47:12 -0400
[Message part 1 (text/plain, inline)]
  I've applied this patch to SVN.

  Daniel

-- 
/------------------- Daniel Burrows <dburrows@debian.org> ------------------\
|                      "...drums...drums in the deep!"                      |
|                        J. R. R. Tolkien                                   |
\--- Be like the kid in the movie!  Play chess! -- http://www.uschess.org --/
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#198257; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #29 received at 198257@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 198257@bugs.debian.org
Subject: [UTF-8] Aptitude does not handle UTF-8 locale
Date: Mon, 27 Sep 2004 20:59:33 +0200
retitle 198257  [UTF-8] Aptitude does not handle UTF-8 locale nicely
thanks

I want to see aptitude in ja_JP.UTF-8 uxterm console :-)

I think applying patch for Sarge is good thing. The aspect of this bug
with respect to sarge release and installer need to be fixed. It is a
good news to hear it is fixed in svn is nice news.  But it does not seem
to solve the real issue.

This patch seems just to disable UTF-8 locale and fall back to C.

Real fix is to disable all non ISO-8859-1 or C locales if aptitude is
run from Linux cosole.

Since there are many popular console application which does not handle
UTF-8 locales (mc, ...), I will mark them all with subject starting with
[UTF-8] for easy management.  We need to fix these all to move to UTF-8
compatible system.

-- 
~\^o^/~~~ ~\^.^/~~~ ~\^*^/~~~ ~\^_^/~~~ ~\^+^/~~~ ~\^:^/~~~ ~\^v^/~~~ +++++
        Osamu Aoki <osamu@debian.org>  Brussels Belgium, GPG-key: A8061F32
 .''`.  Debian Reference: post-installation user's guide for non-developers
 : :' : http://qref.sf.net and http://people.debian.org/~osamu
 `. `'  "Our Priorities are Our Users and Free Software" --- Social Contract




Changed Bug title. Request was from Osamu Aoki <osamu@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#198257; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Sebastian Kapfer <sebastian_kapfer@gmx.net>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #36 received at 198257-quiet@bugs.debian.org (full text, mbox):

From: Sebastian Kapfer <sebastian_kapfer@gmx.net>
To: Konstantinos Margaritis <markos@debian.org>, 198257-quiet@bugs.debian.org
Cc: Daniel Burrows <dburrows@debian.org>, 198257-submitter@bugs.debian.org, 226271-submitter@bugs.debian.org, 242676-submitter@bugs.debian.org, 264635-submitter@bugs.debian.org, 271636-submitter@bugs.debian.org, 273184-submitter@bugs.debian.org
Subject: Re: Bug#198257: UTF-8 breakage
Date: Tue, 28 Sep 2004 21:04:06 +0200
[Message part 1 (text/plain, inline)]
Am Sa, den 25.09.2004 schrieb Konstantinos Margaritis um 18:22:
> Hi,  
>   I know that aptitude will not be utf-8 enabled before the sarge  
> release, but I believe it is absolutely necessary to be operating  
> correctly for *all* locales. Right now, it produces horribly broken  
> displays for UTF-8 locales (I've seen the other bug reports and I can  
> add my own experience on el_GR.UTF-8). So, IMHO, it is best to have  
> an english aptitude that works, rather than a localized one that  
> doesn't work and I attach this patch that forces the locale to "C",  
> when UTF-8 is found in LC_ALL. It seems to work fine for me, and I  
> imagine it will work on other locales as well. 
>   FWIW, Joey Hess seems to aggree that it's best to have an aptitude  
> that works for sarge. 

FWIW, I happen to have a modified version of Aptitude which moves
towards unicode and clean multibyte handling.  It's definitely not ready
for prime time yet, but I'd like to finish it off for Sarge+1 if nothing
happens in the official tree until then.

-- 
Best Regards,  | I couldn't afford a cool signature,
 Sebastian     | so I just got this one.
[signature.asc (application/pgp-signature, inline)]

Message sent on to Sebastian Kapfer <sebastian_kapfer@web.de>:
Bug#198257. Full text and rfc822 format available.

Information stored:
Bug#198257; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #44 received at 198257-quiet@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Sebastian Kapfer <sebastian_kapfer@gmx.net>, 271636-quiet@bugs.debian.org
Cc: Konstantinos Margaritis <markos@debian.org>, 198257-quiet@bugs.debian.org, Daniel Burrows <dburrows@debian.org>, 198257-submitter@bugs.debian.org, 226271-submitter@bugs.debian.org, 242676-submitter@bugs.debian.org, 264635-submitter@bugs.debian.org, 271636-submitter@bugs.debian.org, 273184-submitter@bugs.debian.org
Subject: Re: Bug#271636: Bug#198257: UTF-8 breakage
Date: Wed, 29 Sep 2004 06:42:24 +0200
> FWIW, I happen to have a modified version of Aptitude which moves
> towards unicode and clean multibyte handling.  It's definitely not ready
> for prime time yet, but I'd like to finish it off for Sarge+1 if nothing
> happens in the official tree until then.

Why not work closely with Daniel, for instance in a branch of the SVN
development tree? Daniel?









Message sent on to Sebastian Kapfer <sebastian_kapfer@web.de>:
Bug#198257. Full text and rfc822 format available.

Merged 198257 226271 242676 264635 271636 273184 278801. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 198257 226271 242676 264635 271636 273184 278801 307583. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 198257 226271 242676 264635 271636 273184 278801 292364 307583. Request was from Daniel Burrows <dburrows@vzavenue.net> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 198257 226271 242676 264635 271636 273184 278801 292364 307583 336355. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sebastian Kapfer <sebastian_kapfer@web.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 198257-close@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 198257-close@bugs.debian.org
Subject: Bug#198257: fixed in aptitude 0.4.0-1
Date: Fri, 04 Nov 2005 11:17:18 -0800
Source: aptitude
Source-Version: 0.4.0-1

We believe that the bug you reported is fixed in the latest version of
aptitude, which is due to be installed in the Debian FTP archive:

aptitude-doc-cs_0.4.0-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-cs_0.4.0-1_all.deb
aptitude-doc-en_0.4.0-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-en_0.4.0-1_all.deb
aptitude-doc-fi_0.4.0-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fi_0.4.0-1_all.deb
aptitude-doc-fr_0.4.0-1_all.deb
  to pool/main/a/aptitude/aptitude-doc-fr_0.4.0-1_all.deb
aptitude_0.4.0-1.diff.gz
  to pool/main/a/aptitude/aptitude_0.4.0-1.diff.gz
aptitude_0.4.0-1.dsc
  to pool/main/a/aptitude/aptitude_0.4.0-1.dsc
aptitude_0.4.0-1_i386.deb
  to pool/main/a/aptitude/aptitude_0.4.0-1_i386.deb
aptitude_0.4.0.orig.tar.gz
  to pool/main/a/aptitude/aptitude_0.4.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 198257@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Burrows <dburrows@debian.org> (supplier of updated aptitude package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri,  4 Nov 2005 13:02:22 -0500
Source: aptitude
Binary: aptitude-doc-cs aptitude-doc-fr aptitude-doc-fi aptitude-doc-en aptitude
Architecture: source all i386
Version: 0.4.0-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Burrows <dburrows@debian.org>
Changed-By: Daniel Burrows <dburrows@debian.org>
Description: 
 aptitude   - terminal-based apt frontend
 aptitude-doc-cs - Czech manual for aptitude, a terminal-based apt frontend
 aptitude-doc-en - English manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fi - Finnish manual for aptitude, a terminal-based apt frontend
 aptitude-doc-fr - French manual for aptitude, a terminal-based apt frontend
Closes: 136973 137311 146485 147862 156065 158771 160418 161872 169479 173259 175408 198257 216730 217477 217477 219920 225095 230187 230188 238200 243192 243830 245348 246140 265481 265723 268916 270699 272409 272429 274098 274216 274268 274953 275150 275220 275266 275704 275704 276767 278490 279559 280009 280049 281232 281531 281541 283546 285334 290408 290692 292756 293130 293935 295924 298713 301291 304748 306619 309105 309445 309824 311290 311587 312249 312311 312533 312553 312923 313321 313322 313412 313417 313450 313459 313619 313663 314328 314330 314643 315338 315346 315359 315376 315486 315885 315988 316027 316225 316279 316460 316994 317115 317119 317824 317885 318396 318501 318749 318906 318947 319702 321677 321889 322276 323239 325003 325749 326949 330014 331199 331245 331400 331404 331408 332179 332708 332883 332891 333267 333872 333918 334096 334343 334343 335034 335290 335680 335880 336261 336261 336420 336584 337344 337407
Changes: 
 aptitude (0.4.0-1) unstable; urgency=low
 .
   * aptitude 0.4.0 is released and going into unstable!  Rejoice!
 .
   * New upstream release
 .
     - An additional menu toggle binding has been added that works on all
       terminals, and it is the default binding (meaning it shows up on all
       terminals). (Closes: #147862, #335034)
 .
     - Several command-line operations deal with the -t command in a sane
       way now. (Closes: #334096)
 .
     - "search" completely ignores fake packages. (Closes: #337407)
 .
     - Bullet lists can include any number of spaces after a bullet
       character. (Closes: #337344)
 .
     - The preview screen is only hidden now when the user actually asked
       to continue the installation, not whenever any download starts.
       (Closes: #334343)
 .
     - Fixed more real and potential UTF-8 display problems.
       (Closes: #317119)
 .
     - Added "install" to the manpage synopsis. (Closes: #336584)
 .
     - Translation updates:
 .
       + Chinese (Simplified) (Closes: #335290)
 .
       + Danish (Closes: #335880)
 .
       + Finnish
 .
       + French (Closes: #336261)
 .
       + Romanian (Closes: #335680, #325749)
 .
       + Russian (Closes: #336261, #336420)
 .
 aptitude (0.3.5.1-2) experimental; urgency=low
 .
   * Rebuild against apt 0.6.41.0exp1.
 .
   * Pull changes from darcs head:
 .
     - Handle wide characters more carefully when painting trees.
 .
     - Never display a spurious right arrow in the menu bar.
 .
     - Correct the sigc++ version displayed in the output of --version.
 .
     - Shut down the preview only when installing packages, not for all
       downloads. (Closes: #334343)
 .
     - Don't crash when a changelog contains tabs.
 .
     - Highlight characters that look like bullets in parsed changelogs.
 .
   * Remove the silly "extreme flexibility and customization" line from the
     description.
 .
 aptitude (0.3.5.1-1) experimental; urgency=low
 .
   * New upstream release
 .
     - Fix a segfault caused by a reference to freed memory. (Closes: #331400)
 .
     - Don't crash when the user asks for a changelog of a non-installed
       package. (Closes: #331245)
 .
     - Don't reopen the cache after a download unnecessarily. (Closes: #332708)
 .
     - Use the correct encoding to decode the names of dependency types
       ("Depends", etc). (Closes: #331199)
 .
     - Ensure that string inputs in the configuration dialogs are at least
       visible on narrow terminals.
 .
     - Make sure that clicking Ok in a dialog is just like pushing Enter.
       (Closes: #332179)
 .
     - Read the debtags vocabulary file from the correct location.
       (Closes: #331408)
 .
     - Fix the parser of the backwards-compatibility filter grouping policy.
       (Closes: #331404)
 .
     - Make the behavior of -q and --quiet more closely conform to how
       apt-get behaves. (Closes: #217477)
 .
     - Make Ignore-Trust-Violations actually bypass the authentication
       prompt instead of just saying that it will. (Closes: #332883)
 .
     - Document "aptitude reinstall" in the --help output. (Closes: #333872)
 .
     - Don't output useless error messages in the cronjob if pkgstates
       doesn't exist. (Closes: #332891)
 .
     - Set the priority to 'important' in the source, so I stop getting
       override disparity errors.
 .
     - Translation updates:
 .
       + Basque (Closes: #275704)
       + Czech
       + French
       + Swedish (Closes: #333267, #333918)
 .
 aptitude (0.3.4-1) experimental; urgency=low
 .
   * New upstream release
 .
     - g++-4.0 transition. (Closes: #321889)
 .
     - Add a build-dependency on libncursesw5. (Closes: #321677, #325003)
 .
     - Remove the log files when the package is purged. (Closes: #315346)
 .
     - Update the copyright file.
 .
     - Fix some crashes in the problem resolver. (Closes: #312553)
 .
     - Handle -s and Simulate=true in visual mode as well as command-line
       mode. (Closes: #243192)
 .
     - Fix the warning message printed when you can't forbid a particular
       version. (Closes: #246140)
 .
     - Back up aptitude's pkgstates file in the same manner as dpkg's.
       (Closes: #225095)
 .
     - In addition, keep the last version of pkgstates around every time it
       is modified. (Closes: #316460)
 .
     - Don't use recursive main-loops or otherwise trap 'q'.
       (Closes: #136973)
 .
     - The visual "Keep" command now implicitly cancels holds.
       (Closes: #326949)
 .
     - A generic grouping policy based on search patterns is available.
       (Closes: #156065)
 .
     - If a package version other than the default candidate or the current
       version is selected, aptitude will remember this selection.
       (Closes: #158771)
 .
     - Debtags support. (Closes: #243830)
 .
     - New command-line actions 'keep' and 'keep-all'. (Closes: #312923)
 .
     - New command-line option --schedule-only that just records the
       requested actions in the state file without actually performing them.
       (Closes: #312249)
 .
     - Backward searching is available (bound to backslash). (Closes: #323239)
 .
     - It is now possible to repeat the last search in all pagers.
       (Closes: #270699)
 .
     - The default terminal background color can be used; add
 .
       Aptitude::Styles::Default { bg default; };
 .
       to /etc/apt/apt.conf to enable it.  (Closes: #161872)
 .
     - A warning is displayed when you modify the cache in read-only mode.
       (Closes: #175408)
 .
     - If the option Aptitude::Purge-Unused is set, unused packages will be
       purged instead of just being removed. (Closes: #275150)
 .
     - Add the current timezone to the timestamp printed in the log
       file. (Closes: #318501)
 .
     - If libparse-debianchangelog-perl is installed, aptitude will extract
       version numbers from changelogs and highlight entries that are newer
       than the currently installed version.  (Closes: #290692)
 .
     - aptitude now cleanly handles being suspended while dpkg is running.
       (Closes: #137311, #169479)
 .
     - Sticky states are really ignored when "dist-upgrade" is given at the
       command-line. (Closes: #317885)
 .
     - The password database is used instead of $HOME to determine where
       aptitude's configuration file goes, so people using sudo don't end up
       with root-owned mode 0700 files in their home directory.
       (Closes: #272429, #274216, #285334, #272409)
 .
     - Temporary files and directories are created in /tmp instead of
       ~/.aptitude/.tmp. (Closes: #146485, #245348)
 .
     - If aptitude fails to su to root, it will restore its previous
       selections instead of discarding them. (Closes: #281232)
 .
     - Fix several display bugs related to UTF-8. (Closes: #317115)
 .
     - Be sure to correctly set and update the screen width when running in
       command-line mode. (Closes: #230187)
 .
     - Make keep properly cancel the removal of packages that are
       unused. (Closes: #278490)
 .
     - Abort cleanly instead of crashing when the command-line mode gets
       EOF on stdin. (Closes: #318749)
 .
     - Editorial fix to the amount freed/used indicator. (Closes: #318396)
 .
     - Don't segfault if errors occur while the program is initializing (in
       particular, if the configuration files have errors). (Closes: #309445, #290408)
 .
     - If there are currently broken packages when we go to upgrade, print
       a useful error message instead of just silently quitting.
       (Closes: #316027)
 .
     - Fix the exit value of 'aptitude clean'. (Closes: #274098)
 .
     - Terminate abnormally if the user tries to show a non-existant
       package. (Closes: #301291)
 .
     - Display a more levelheaded message when problems occur during a dpkg
       run. (Closes: #230188)
 .
     - Add a quietness option for command-line mode. (Closes: #217477)
 .
     - Don't try to use terminal output tricks on non-ttys. (Closes: #276767)
 .
     - Don't discard the user's selections to run reportbug. (Closes: #304748)
 .
     - Fix the SEE ALSO entry for the reference manual. (Closes: #265723)
 .
     - Documentation typo fixes. (Closes: #268916)
 .
     - Document that ~a is a way to find packages according to the action
       that is currently going to be applied to them. (Closes: #311290)
 .
     - Delete some unnecessary text that lacks a trailing newline.
       (Closes: #295924)
 .
     - Don't include the upstream blow-by-blow changelog in the package.
 .
     - Translation updates:
 .
       + Czech (Closes: #330014)
       + Danish (Closes: #317824)
       + Finnish (Closes: #316225)
       + French (Closes: #318906)
       + Romanian (Closes: #318947)
       + Vietnamese (Closes: #316994, #319702, #322276)
 .
 aptitude (0.3.3-1) experimental; urgency=low
 .
   * New upstream release
 .
     - UTF-8 support.  Closes: #198257 and friends.
 .
     - Fix a case where different packages would be selected on startup
       than on shutdown. (Closes: #315359)
 .
     - Fixed the startup progress bar. (Closes: #173259)
 .
     - Don't crash when trying to display information about packages that
       have no Archive. (Closes: #312533)
 .
     - Allow media changes to be cancelled (Closes: #315885)
 .
     - Be more explicit when warning the user that the program is in
       read-only mode. (Closes: #313417)
 .
     - Typo fix for cmdline_prompt.  (Closes: #313322)
 .
     - Translation updates:
 .
       * Chinese (Simplified) (Closes: #314330)
 .
       * Chinese (Traditional) (Closes: #311587)
 .
       * Czech (Closes: #314328)
 .
       * Dutch (Closes: #315376, #316279)
 .
       * Finnish (Closes: #312311, #313450)
 .
       * German (Closes: #313663)
 .
       * Lithuanian (Closes: #314643)
 .
       * Norwegian Bokmal (Closes: #313459)
 .
       * Norwegian nynorsk (Closes: #315988)
 .
       * Polish (Closes: #315338)
 .
       * Portuguese (Closes: #315486)
 .
       * Russian (Closes: #313619)
 .
       * Slovak (Closes: #309824)
 .
       * Spanish (Closes: #313412)
 .
       * Vietnamese (Closes: #313321)
 .
 aptitude (0.3.2-4) experimental; urgency=low
 .
   * Build-Depend on docbook-xml (Closes: #309105).
 .
 aptitude (0.3.2-3) experimental; urgency=low
 .
   * Build against apt 0.6.36.
 .
 aptitude (0.3.2-2) experimental; urgency=low
 .
   * Merge brown-paper-bag problem resolver fixes from HEAD.
 .
 aptitude (0.3.2-1) experimental; urgency=low
 .
   * New upstream release, fixing the following Debian bugs:
 .
     - Don't discard apt's helpful error message explaining that dpkg
       --configure -a needs to be run.  (Closes: #160418)
 .
     - Separated the search pattern for "has a sticky hold set" from the
       pattern for "will not be upgraded" (to get the effect of the old
       ~ahold, use ~U~akeep).  (Closes: #216730)
 .
     - Don't crash when the user asks to see the help dialog.
       (Closes: #293935, #306619)
 .
     - Properly preprocess and format the messsage about failed downloads
       (Closes: #298713)
 .
     - If -s is passed to the visual interface, just print an error message
       instead of refusing to start.
 .
 aptitude (0.3.1-4) experimental; urgency=low
 .
   * Correct the Build-Depends on apt to make sure 0.6.0 or greater is used.
     (Closes: #293130)
 .
 aptitude (0.3.1-3) experimental; urgency=low
 .
   * Move the doc packages to the doc section, as suggested by ftpmaster.
 .
 aptitude (0.3.1-2) experimental; urgency=low
 .
   * Doh, change the Build-Depends to require libsigc++-2.0-dev. (Closes: #292756)
 .
 aptitude (0.3.1-1) experimental; urgency=low
 .
   * New upstream release
 .
   * Standards-Version bumped to 3.6.1.0.
 .
 aptitude (0.3.0-1) experimental; urgency=low
 .
   * New upstream release
     - Supports apt 0.6.  (Closes: #281541, #238200)
     - By default, aptitude will only pause after a download if an error
       has occured.  In the UI options dialog, you can also choose to
       always or never pause. (Closes: #219920)
     - Translation updates:
       + Basque (Closes: #275704)
       + Brazilian Portuguese (Closes: #275220)
       + Chinese (Traditional) (Closes: #274268)
       + French (Closes: #274953)
       + German (Closes: #283546)
       + Hebrew [NEW] (Closes: #275266)
       + Lithuanian (Closes: #280049)
       + Polish (Closes: #265481)
       + Romanian (Closes: #281531)
       + Slovak (Closes: #279559)
       + Turkish (Closes: #280009)
 .
   * A French version of the user's manual is now available in
     aptitude-doc-fr.
Files: 
 2c6515a83ecec202d3d2dc7884917930 796 admin - aptitude_0.4.0-1.dsc
 58998542db071b6fa1f38cfa82d10002 4301446 admin - aptitude_0.4.0.orig.tar.gz
 099a7ec076352b380badb5c24b672968 20440 admin - aptitude_0.4.0-1.diff.gz
 ce47ea266a590b3c2ad688c844e6dc81 267626 doc optional aptitude-doc-cs_0.4.0-1_all.deb
 691bfaa4081aa0f6f701e267249f7733 318716 doc optional aptitude-doc-en_0.4.0-1_all.deb
 a547430b5d0f4314c40863790140741e 252712 doc optional aptitude-doc-fi_0.4.0-1_all.deb
 6834a4b43948981b2f45f95c9aab0dd8 244188 doc optional aptitude-doc-fr_0.4.0-1_all.deb
 5eefd6039bbb6b7fd89403954f11f510 2418228 admin important aptitude_0.4.0-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDa675ch6xsM7kSXgRAqMIAJ9u4vl07LPk8Oqzl7f5B7nsm5/AJwCg0q3R
XdO92SM69+2QTj6qXlHp/J4=
=q/yM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:11:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:36:56 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.